% creates an imagesize x imagesize random dot stereogram with a
% squaresize x squaresize square floating in front of a plane background
% disparity should be a small positive integer

function [left,right] = stereodots(imagesize, squaresize, disparity)

left = rand(imagesize) > 0.5;
corner = round((imagesize - squaresize) / 2);
right = left;
center = corner:corner+squaresize-1;
right(center,center+disparity) = right(center,center);
right(center,corner:corner+disparity-1) = (rand(squaresize,disparity) > 0.5);
